# logging settings for spring framework
#logging.level.org.springframework.web=INFO
spring.cloud.config.enabled=false
logging.level.org.springframework.web=DEBUG
# client settings

# settings
setting1=st1
setting2=st2

# whether to activate default security or not (0 = off, 1 = on)
# this is a dirty config setting, to be removed in production
#security.activation.status=1
security.activation.status=0

# basic auth credentials
security.user.name=user
security.user.password=password

# basic header credentials
security.user.headerAuth=Authorization
security.user.usrPassword=Basic dXNlcjpwYXNzd29yZA==

# userId for Analysis Infrastructure 
security.user.iaic3isp=IAIC3ISP_VAULT_ID
# rest endpoints
rest.endpoint.url.callBundleBase=https://isic3isp.iit.cnr.it:8443/bundle-manager/v1
rest.endpoint.url.callKECoreBase=https://kec3isp.iit.cnr.it/ke-core-manager-api/v1
rest.endpoint.url.callFheEncryptionEndPoint=https://kec3isp.rp.bt.com/ke-core-manager-api/v1/fhe/decrypt/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}

rest.endpoint.url.eventHandleNotify=https://isic3isp.iit.cnr.it:8443/event-handler/v1/notifyEvent

# DSA checking endpoint
rest.endpoint.url.callGetDSAID=https://dsamgrc3isp.iit.cnr.it/DSAAPI/fetchusagepolicy/{dsaId}
rest.endpoint.url.callCheckDSAID=https://dsamgrc3isp.iit.cnr.it/DSAAPI/getstatuscnr?dsaid={dsaId}
#DSA for testing : DSA de test: DSA-56976731-3c16-46cc-a4e1-8384c6208eb0

#Buffer-Manager Endpoints
rest.endpoint.url.callprepareEmptyDataLake=https://isic3isp.iit.cnr.it:8443/buffer-manager/v1/prepareEmptyDataLake?data_lake={dataLake}&type={type}
rest.endpoint.url.dataLakeCategory=VDL
rest.endpoint.url.typeEmptyDataLake=FS

rest.endpoint.url.callDPOS=https://isic3isp.iit.cnr.it:8443/dpos-api/v1
rest.endpoint.url.callKentDPOSPlatforme=https://isic3isp.iit.cnr.it:8443/dpos-api/v1
rest.endpoint.url.callRegistedEventHandler=https://isic3isp.iit.cnr.it:8443/event-handler/v1/subscribe
rest.endpoint.url.callNotifyBundleManager=https://isic3isp.iit.cnr.it:8443/bundle-manager/v1/notifyEvent
#rest.endpoint.url.callDPOSPlatforme=https://isic3isp.iit.cnr.it/dpos-api/v1/createDPO

# Specific settings (created at build time from Maven pom.xml)
info.app.project=Bundle Manager Project for defining API Management 
info.build.artifact=@project.artifactId@
info.build.name=@project.name@
info.build.description=@project.description@
info.build.version=@project.version@

# 20 MB is the max size before applying actions of splitting into chunks
# Maximum size can be accepted 200MB, otherwise there is risk of memory attacks and memory dump exception
c3isp.data.chunkSize=20
c3isp.data.maxSize=200
c3isp.data.nbrChunks=10

springfox.documentation.swagger.v2.path=/api-docs
server.contextPath=/v1
server.port=8080
spring.jackson.date-format=fr.cea.bundle.RFC3339DateFormat
spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS=false

#max file and request size 
spring.http.multipart.max-file-size=1000MB
spring.http.multipart.max-request-size=1000MB
